we're proud to announce the new feature release of darktable, 2.8.0!

the github release is here: [https://github.com/darktable-org/darktable/releases/tag/release-2.8.0](https://github.com/darktable-org/darktable/releases/tag/release-2.8.0).

as always, please don't use the autogenerated tarball provided by github, but only our tar.xz. the checksums are:

```
$ sha256sum darktable-2.8.0.tar.xz
??? darktable-2.8.0.tar.xz
$ sha256sum darktable-2.8.0.dmg
??? darktable-2.8.0.dmg
$ sha256sum darktable-2.8.0.exe
??? darktable-2.8.0.exe
```

when updating from the currently stable 2.4.x series, please bear in mind that your edits will be preserved during this process, but it will not be possible to downgrade from 2.8 to 2.6.x any more.

#### Important note: to make sure that darktable can keep on supporting the raw file format for your camera, *please* read [this post](https://discuss.pixls.us/t/raw-samples-wanted/5420?u=lebedevri) on how/what raw samples you can contribute to ensure that we have the *full* raw sample set for your camera under CC0 license!

- Over ??? commits to darktable+rawspeed since 2.6
- ???+ pull requests handled
- ???+ issues closed
- Updated user manual is coming soon™

## The Big Ones

- The color picker on the blend, tone curve, color zones and fill
  light modules now allows to select an area by ctrl+click on it.

- Add undo/redo support in lighttable for tags, color labels, rating,
  metadata, deleted history stack, pasted history stack and applied
  style.

- A new timeline view has been introduced in the lighttable.

- A new exposé lighttable's mode to be used to compare multiple images.

- A quite extensive rewrite of the lighttable has been made to improve
  drastically the overall performance. This also includes the
  filmstrip which has also received a big rewrite for the same reasons. The
  lighttable is now usable on 4K and 5K monitors.

- Add new raster mask supports. This is a copy of a parametric mask
  which is stable during the whole pixel-pipe.

- Modules can now be re-ordered with shift+drag.

## New Features And Changes

- A new profile ‘histogram profile’ has been added on the same pop-up
  that the softproof one on the darkroom. It controls the color space
  of the histogram, color picker and overexposed check. When gamut or
  softproof checks are active the histogram and color picker use the
  softproof profile, otherwise they use the histogram profile. The
  overexposed check always use the histogram profile.

- A new profile 'work profile' has been added to the input color profile
  module. Now RGB modules between the input and output color profile modules
  will work with this profile.

- A new color picker has been added to the blend module next to the
  existing one that adjusts the range sliders based on the selected
  area from the image. Click to adjust the input image slider,
  ctrl+click to adjust the out image one.

- The picasa module has been renamed to googlephoto and completely
  rewrote to support the new Google Photo API. It is now again
  possible to create albums directly from the export module.

- New module image information which can be positioned at the bottom
  or the top of the darkroom. The information displayed can be changed
  via the preferences. This module can replace the image information
  displayed on the histogram.

- Many code optimizations for CPU and SSE paths.

- A new preference to expand/collapse a darkroom module when it is
  activated/deactivated.

- The collect module supports single click if the corresponding new
  option is activated.

- The collect module supports range selection (for numeric/dates)
  when using single click mode.

- Add option to scatter the search zone in denoise profile non local
  means mode.

- The gradient mask orientation is now clearly displayed by using an
  arrow.

- Add support for theme, and allow to dynamically load theme from the
  preferences.

- The graduatednd module has better accuracy when computing the
  rotation to avoid the gradient to flip sporadically.

- Make sure the OpenCL kernel code are recompiled when the driver
  version is updated.

- Add color pickers in the split toning module.

- Add color pickers in the graduateddnd module.

- Add color picker to the watermark module.

- The color picker point positions are kept during the editing on the
  module.

- The map view will zoom on the images of the selected collection.

- The slideshow supports changing the delay between each images.

- Add soft boundaries for denoise profile controls.

- The color zones module now display an histogram based on the ‘select
  by’ channel and displays the selected range if the color picker is
  in area mode.
  It acts now like the tone curve (but horizontal),
  it has two edit modes: edit by area is the former one, if not checked nodes
  can be edited like in the tone curve, delete only works by right-click
  when not in edit area mode.
  A new process mode has been added: smooth is the former one, strong is new.
  An interpolation method has been added that allows to select different types
  of curves.
  The color picker allows to select by area with ctrl+click.
  A new color picker has been added that creates a curve based on the area
  selected from the image.
  When pressing the shortcut 'pan&zoom while editing masks' the draw area
  can now be zoomed. Double-click on the bottom bar resets the zoom.

- A new module 'basic adjustments' has been added. It allows to adjust
  the exposure, highlight compression, contrast, brightness and saturation.
  It also has an auto feature based on Rawtherapee's auto levels that can
  work on the entire image or a user selected area.
  Both the contrast and the auto feature use the middle grey point, the
  default for this setting is based on the work profile.

- A new module 'rgb curve' has been added. It has linked and independent RGB channels.
  It works with the rgb colorspace selected on the work profile.
  The curves and histogram can be displayed using the work profile or can be scaled to
  be 50% grey.
  The color picker allows to select by area with ctrl+click.
  The second color picker add 4 nodes to the curve based on the area
  selected from the image: min, average, middle, max.
  When pressing the shortcut 'pan&zoom while editing masks' the draw area
  can be zoomed.
  Different types of curves can be selected.

- A search text has been added to the module groups in the darkroom. It has a
  config option to show only the modules groups, only the search text or both.
  Modules are searched by name (localized).

  If displaying only the search text, the active pipe modules are
  displayed when the search text is empty.  A darkroom shortcut can be
  set to focus on the search box.

## Bug fixes

- The color picker support has been fixed by a complete rewrite. It
  should now gives correct values in all cases.

- Fix overexposed display.

- Do not disable SSL for storage modules.

- A long standing bug on mask distort in Liquify module has been
  fixed. This was visible when a liquify mask was used together with
  the perspective correction module activated.

## Lua

- No changes

## Changed Dependencies

- No changes

## RawSpeed changes

- No changes

## Camera support, compared to 2.6.0

### Base Support

- Canon EOS 1500D
- Canon EOS 2000D
- Canon EOS Rebel T7
- Canon EOS 3000D
- Canon EOS 4000D
- Canon EOS Rebel T100
- Canon EOS 5D Mark IV (sRaw1, sRaw2)
- Canon EOS 5DS (sRaw1, sRaw2)
- Canon EOS 5DS R (sRaw1, sRaw2)
- Canon PowerShot G1 X Mark III
- Fujifilm X-A5
- Fujifilm X-H1 (compressed)
- Fujifilm X-T100
- Fujifilm X-T3 (compressed)
- GoPro FUSION (dng)
- GoPro HERO5 Black (dng)
- GoPro HERO6 Black (dng)
- GoPro HERO7 Black (dng)
- Hasselblad CFV-50
- Hasselblad H5D-40
- Hasselblad H5D-50c
- Kodak DCS Pro 14nx
- Kodak DCS520C
- Kodak DCS760C
- Kodak EOS DCS 3
- Nikon COOLPIX P1000 (12bit-uncompressed)
- Nikon D2Xs (12bit-compressed, 12bit-uncompressed)
- Nikon D3500 (12bit-compressed)
- Nikon Z 6 (except uncompressed raws)
- Nikon Z 7 (except 14-bit uncompressed raw)
- Olympus E-PL8
- Olympus E-PL9
- Olympus SH-2
- Panasonic DC-FZ80 (4:3)
- Panasonic DC-G9 (4:3)
- Panasonic DC-GF9 (4:3)
- Panasonic DC-GX800 (4:3)
- Panasonic DC-GX850 (4:3)
- Panasonic DC-GH5S (4:3, 3:2, 16:9, 1:1)
- Panasonic DC-GX9 (4:3)
- Panasonic DC-LX100M2 (4:3, 1:1, 16:9, 3:2)
- Panasonic DC-TZ200 (3:2)
- Panasonic DC-TZ202 (3:2)
- Panasonic DMC-FZ2000 (3:2)
- Panasonic DMC-FZ2500 (3:2)
- Panasonic DMC-FZ35 (3:2, 16:9)
- Panasonic DMC-FZ38 (3:2, 16:9)
- Panasonic DMC-GX7MK2 (4:3)
- Panasonic DMC-ZS100 (3:2)
- Paralenz Dive Camera (chdk)
- Pentax 645Z
- Pentax K-1 Mark II
- Pentax KP
- Phase One P65+
- Sjcam SJ6 LEGEND (chdk-b, chdk-c)
- Sony DSC-HX99
- Sony DSC-RX0
- Sony DSC-RX100M5A
- Sony DSC-RX10M4
- Sony DSC-RX1RM2
- Sony ILCE-7M3

### White Balance Presets

- Canon EOS M100
- Fujifilm X-T3
- Leaf Credo 40
- Nikon D3400
- Nikon D5600
- Nikon D7500
- Nikon D850
- Nikon Z 6
- Olympus E-M10 Mark III
- Olympus E-M1MarkII
- Panasonic DC-G9
- Panasonic DC-GX9
- Panasonic DMC-FZ300
- Sony DSC-RX0
- Sony DSC-RX100M5
- Sony DSC-RX100M5A
- Sony DSC-RX10M3
- Sony DSC-RX10M4
- Sony DSC-RX1RM2
- Sony ILCE-6500
- Sony ILCE-7M3
- Sony ILCE-7RM3

### Noise Profiles

- Canon EOS 200D
- Canon EOS Kiss X9
- Canon EOS Rebel SL2
- Canon EOS 750D
- Canon EOS Kiss X8i
- Canon EOS Rebel T6i
- Canon EOS 760D
- Canon EOS 8000D
- Canon EOS Rebel T6s
- Canon EOS 77D
- Canon EOS 9000D
- Canon EOS 800D
- Canon EOS Kiss X9i
- Canon EOS Rebel T7i
- Canon EOS M100
- Canon EOS M6
- Canon PowerShot G1 X Mark II
- Canon PowerShot G1 X Mark III
- Canon PowerShot G9 X
- Fujifilm X-A5
- Fujifilm X-E3
- Fujifilm X-T3
- Fujifilm X100F
- Nikon 1 AW1
- Nikon 1 J3
- Nikon COOLPIX B700
- Nikon D5600
- Nikon D7500
- Nikon D850
- Olympus E-M10 Mark III
- Olympus TG-5
- Panasonic DC-G9
- Panasonic DC-GX9
- Panasonic DMC-FZ35
- Panasonic DMC-FZ38
- Panasonic DMC-GF6
- Panasonic DMC-LX10
- Panasonic DMC-LX15
- Panasonic DMC-LX9
- Panasonic DMC-TZ70
- Panasonic DMC-TZ71
- Panasonic DMC-ZS50
- Pentax K-01
- Pentax KP
- Samsung NX1
- Sony DSC-RX100M4
- Sony DSC-RX10M3
- Sony ILCE-7M3

## Translations

- Afrikaans
- Albanian
- Chinese
- Czech
- Dutch
- Finnish
- French
- Galician
- German
- Hebrew
- Hungarian
- Italian
- Japanese
- Nepal
- Norwegian Bokmål
- Polish
- Portuguese
- Romanian
- Russian
- Slovenian
- Thai
